import { Component } from 'react';
/**
 * Injects the SoftPopover next to the button via SoftPortal
 * then the button element is moved into the popover dom.
 * On unmount, the button is moved back to its original location.
 */
export declare class WrappingPopover extends Component<{
    button?: any;
}> {
    private portal;
    private anchor;
    static propTypes: {};
    constructor(...args: any[]);
    componentDidMount(): void;
    componentWillUnmount(): void;
    setPortalRef: (node: any) => void;
    setAnchorRef: (node: any) => void;
    render(): JSX.Element;
}
